[Réglé] Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.0.x. depuis une version antérieure de phpBB3 ou d'une conversion de phpBB2 vers phpBB3.

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

[Réglé] Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar fuumble » 04 Jan 2015 à 00:40

Bonjour,




J'ai un forum phpbb version 3.0.9
MySQL(i) 5.0.84-log
j'ai actuellement un php 5.2 et un MySQL 5.0

et je souhaite demander à mon hébergeur de passer à un PHP 5.5 (avec MySQL 5.5)

    Sachant que je n'ai pas de Mod sur mon forum.
  • Est-ce que cela provoquera des incompatibilités ou bien cela sera sans conséquence néfaste pour mon forum 3.0.9 ?
  • Si la 5.5 pose problème, est-ce qu'avec la version 5.3 ça serait mieux ?


    Autre chose :
    L'une des raisons qui me poussent à changer de version de php, c'est qu'infomaniak, limite la mémoire et le temps d'exécution des scripts.
    en php 5.2 : 96MB de mémoire et 10 secondes d'exécution maximum

    en passant à une version php supérieure, je passe à 128 mo de mémoire et à 30 secondes d'exécution.

    Je compte donc attendre de bénéficier des conditions avantageuse de la version php 5.5 (ou au moins 5.3) pour faire les MAJ suivante

    phpBB 3.0.9 (actuelle) :arrow: phpBB 3.0.10 :arrow: phpBB 3.0.11 :arrow: phpBB 3.0.12 :arrow: phpBB 3.1.2 (enfin ;) )

  • y a-t'il des recommandation quant à la version de php à avoir pour faire toutes ces MAJ ?
    (toujours dans un soucis de compatibilité)


Merci d'avance.

:)

EDIT avec un récap des infos récupérées : (du 2015-01-05 22h30)

    Compatibilité php au niveau des différences version de phpbb

  • Détail pour les phpBB 3.0.x
    PDF a écrit:PHP 4.3.3+ (>=4.3.3, >4.4.x, >5.x.x, >6.0-dev (compatible)) with support for the database
    you intend to use.
    Document Source : :arrow: olympus_documentation.pdf
    Attention, il faut appliquer un Patch si vous avez un phpbb inférieur à 3.0.11 et un PHP 5.4 (ou +?)
    [Correctif] phpBB 3.0.x et PHP 5.4.x


  • Détail pour les phpBB 3.1
    PDF a écrit:PHP 5.3.3+ (>=5.3.3, >6.0-dev (compatible)) with support for the database you intend
    to use.
    Document Source : :arrow: ascraeus_documentation.pdf
Modifié en dernier par fuumble le 07 Jan 2015 à 11:08, modifié 8 fois.
fuumble
Posteur néophyte
Posteur néophyte
 
Messages: 12
Enregistré le: 04 Jan 2015 à 00:07

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar cocooncrash » 04 Jan 2015 à 06:11

Bonjour,
Pour toutes tes majs, pas de recommandation spéciales, a part justement qu'il vaut mieux etre sur un php récent.

Éventuellement si tu as des vieux mods, voir si ceux ci tourneraient encore, même si je ne suis pas spécialiste des mods, dans mes souvenirs, ils doivent être presque tous ok.
decouvrez l'aide complete : ICI
découvrez les règles : La_bas

Pensez a ajouter le tag [réglé] en modifiant votre premier message s'il est résolu. Merci :wink:
Avatar de l’utilisateur
cocooncrash
Resp. des modérateurs
Resp. des modérateurs
 
Messages: 7985
Enregistré le: 07 Jan 2008 à 09:29
Localisation: dans un bocal en compagnie de nemo!!

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar fuumble » 04 Jan 2015 à 12:01

Merci pour ta réponse.

Donc, c'est bon, je peux demander de passer de PHP 5.2 au PHP 5.5, mon vieux forum 3.0.9 devrait être ok.
fuumble
Posteur néophyte
Posteur néophyte
 
Messages: 12
Enregistré le: 04 Jan 2015 à 00:07

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar anywhere91 » 04 Jan 2015 à 12:10

Bonjour / Soir

Jusqu’à ce qu'une faille soi trouver sur ton ancienne version de forum et qu'une flopée de bots s'y inscrivent ou pire que ton forum est sa bdd corrompue

Avant de changer de version de php et de risquer de planter ton forum, pourquoi ne pas faire une MaJ en 3.0.12 et ensuite un passage en php 5.5 ?

Cordialement
Image
Avatar de l’utilisateur
anywhere91
Grand-maître des floodeurs
Grand-maître des floodeurs
 
Messages: 2844
Enregistré le: 04 Déc 2007 à 19:01
Localisation: Hein ?!? heu !?!

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar fuumble » 04 Jan 2015 à 13:11

Bonjour.

Justement, parce que pour mettre à jour mon forum, je préfère, si possible, bénéficier des avantages du php 5.5 chez infomaniak, c'est à dire, d'un temps d'exécution de script supérieur et d'une mémoire vive augmentée.

Je sais par exemple, que les restrictions d'infomaniak, me pose des problèmes pour lancer le script de MAJ de Wordpress.
Pour phpBB, je n'ai pas testé, mais, je préfère ne pas le mettre en vrac à cause d'un script un peu trop gourmand.
Après, si je n'ai pas le choix, je ferai avec.

J'ai pas mal farfouillé, peut être pas comme il faut, mais je n'ai pas vu écrit de manière officielle, si telle version de phpbb est compatible avec telle php.

j'ai cru lire dans un post sur ce forum, que par exemple, la version 3.1 devait avoir un php 5.3 au minimum, et encore, ce message datait de plusieurs mois avant la sortie officielle de la dite version 3.1.

Il n'existe pas de tableau récapitulatif avec par exemple :
phpBB 3.0.9 compatible avec version php 5.0 => 5.5...
phpBB 3.0.10 ...
phpBB 3.1 compatible avec php 5.3 => 5.5
(attention, ce n'est qu'un exemple et en aucun cas, une réalité confirmée)

Une chose que je ne comprends pas. C'est que dans le postulat que mon forum soit bien un phpbb 3.0.9 standard.
Il ne devrait pas avoir plusieurs état : soit il est compatible avec un php 5.5 soit il ne l'est pas, non ?
Attention, c'est une vraie question.
fuumble
Posteur néophyte
Posteur néophyte
 
Messages: 12
Enregistré le: 04 Jan 2015 à 00:07

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar anywhere91 » 04 Jan 2015 à 15:31

Bonjour / Soir

Hum a mon simple avis dans ce cas il serait préférable de faire une MaJ en local avec Wamp/easyphp et ensuite de l'upploader sur ton hébergement. Cela résout le PB de latence/temps de réponse et restriction de ton hébergeur

Cordialement
Image
Avatar de l’utilisateur
anywhere91
Grand-maître des floodeurs
Grand-maître des floodeurs
 
Messages: 2844
Enregistré le: 04 Déc 2007 à 19:01
Localisation: Hein ?!? heu !?!

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar fuumble » 04 Jan 2015 à 17:03

Ma BDD fait dans les 800 Mo. je me demande si le chargement de cette base sur mon serveur dans sa totalité (une fois que je l'aurais modifié en local) ne posera pas le même problème vis à vis des contraintes d'infomaniak. ?
fuumble
Posteur néophyte
Posteur néophyte
 
Messages: 12
Enregistré le: 04 Jan 2015 à 00:07

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar cocooncrash » 04 Jan 2015 à 17:29

Utilises mysqldumper pour bien sauvegarder et ensuite restaurer. Il existe même dans le centre de documentation un article préparé par un membre de la team pour ce logiciel, idéal dans ton cas.
decouvrez l'aide complete : ICI
découvrez les règles : La_bas

Pensez a ajouter le tag [réglé] en modifiant votre premier message s'il est résolu. Merci :wink:
Avatar de l’utilisateur
cocooncrash
Resp. des modérateurs
Resp. des modérateurs
 
Messages: 7985
Enregistré le: 07 Jan 2008 à 09:29
Localisation: dans un bocal en compagnie de nemo!!

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar fuumble » 05 Jan 2015 à 01:37

Merci pour cette info.

J'ai téléchargé Mysqldumper et j'ai repéré l'article en question (:arrow: mysqldumper-sauvegarde-amp-restauration-de-la-base-de-donnees)

ça me sera bien utile. :)

Par contre, vous n'avez pas d'info sur la compatibilité des différentes version de phpBB & php ? (minimum requis et maximum supporté)
fuumble
Posteur néophyte
Posteur néophyte
 
Messages: 12
Enregistré le: 04 Jan 2015 à 00:07

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar andrebae » 05 Jan 2015 à 09:09

Bonjour,

fuumble a écrit:Par contre, vous n'avez pas d'info sur la compatibilité des différentes version de phpBB & php ? (minimum requis et maximum supporté)

Je n'ai pas trouvé non plus cette info et je suis preneur si elle existe. Je suis chez Infomaniak également et dans le doute j'ai préféré rester à php 5.4.

fuumble a écrit:L'une des raisons qui me poussent à changer de version de php, c'est qu'infomaniak, limite la mémoire et le temps d'exécution des scripts.
en php 5.2 : 96MB de mémoire et 10 secondes d'exécution maximum

En "serveur cloud" ces paramètres sont ajustables chez Infomaniak ;)

fuumble a écrit:Je sais par exemple, que les restrictions d'infomaniak, me pose des problèmes pour lancer le script de MAJ de Wordpress.

En "serveur cloud" les MAJ automatiques fonctionnent parfaitement ;)

Excellente journée :)
andré baechler - enseignant et administrateur de reiki forum
Avatar de l’utilisateur
andrebae
Posteur néophyte
Posteur néophyte
 
Messages: 22
Enregistré le: 05 Déc 2009 à 03:03
Localisation: Fribourg - Suisse

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar cocooncrash » 05 Jan 2015 à 12:21

Bonjour,
Voici un lien en anglais, ou dans le premier chapitre tu as l'information précisant ceci :

PHP 4.3.3+ (>=4.3.3, >4.4.x, >5.x.x, >6.0-dev (compatible)) with support for the data-
base you intend to use.
decouvrez l'aide complete : ICI
découvrez les règles : La_bas

Pensez a ajouter le tag [réglé] en modifiant votre premier message s'il est résolu. Merci :wink:
Avatar de l’utilisateur
cocooncrash
Resp. des modérateurs
Resp. des modérateurs
 
Messages: 7985
Enregistré le: 07 Jan 2008 à 09:29
Localisation: dans un bocal en compagnie de nemo!!

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar fuumble » 05 Jan 2015 à 15:15

Merci pour ces infos. :)

@andrebae
Je suis sur un serveur mutualisé. L'offre de base à 120 euros par an(depuis 2009). Mais j'ai vu qu'ils avaient un peu plus ouvert leurs offres. Par contre, pour les anciens comptes, il faut attendre pour pouvoir faire des changements (avec les nouveaux outils)

Peux-tu me dire quel est ta version de phpbb (3.0.? ou 3.1 ?) que tu as sur ton serveur php 5.4. ?

Mis à part cela, je suis très satisfait d'infomaniak.

@cocooncrash
Merci pour l'info, par contre, je ne vois pas ton lien. :shock:
fuumble
Posteur néophyte
Posteur néophyte
 
Messages: 12
Enregistré le: 04 Jan 2015 à 00:07

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar cocooncrash » 05 Jan 2015 à 15:27

decouvrez l'aide complete : ICI
découvrez les règles : La_bas

Pensez a ajouter le tag [réglé] en modifiant votre premier message s'il est résolu. Merci :wink:
Avatar de l’utilisateur
cocooncrash
Resp. des modérateurs
Resp. des modérateurs
 
Messages: 7985
Enregistré le: 07 Jan 2008 à 09:29
Localisation: dans un bocal en compagnie de nemo!!

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar andrebae » 05 Jan 2015 à 16:51

fuumble a écrit:@andrebae
Je suis sur un serveur mutualisé. L'offre de base à 120 euros par an(depuis 2009). Mais j'ai vu qu'ils avaient un peu plus ouvert leurs offres. Par contre, pour les anciens comptes, il faut attendre pour pouvoir faire des changements (avec les nouveaux outils)

Oui effectivement, en mutualisé sur les anciens comptes ça n'est pas possible.

fuumble a écrit:Peux-tu me dire quel est ta version de phpbb (3.0.? ou 3.1 ?) que tu as sur ton serveur php 5.4. ?

Personnellement, j'utilise phpBB 3.0.12 sur mon serveur php 5.4.

cocooncrash a écrit:PHP 4.3.3+ (>=4.3.3, >4.4.x, >5.x.x, >6.0-dev (compatible)) with support for the data-
base you intend to use.

Super ;) Merci beaucoup cocooncrash !
andré baechler - enseignant et administrateur de reiki forum
Avatar de l’utilisateur
andrebae
Posteur néophyte
Posteur néophyte
 
Messages: 22
Enregistré le: 05 Déc 2009 à 03:03
Localisation: Fribourg - Suisse

Re: Migration du serveur de PHP 5.2 à 5.5 pour phpbb 3.0.9

Messagepar fuumble » 05 Jan 2015 à 18:16

Merci cocooncrash. hop, c'est dans la boite :)
fuumble
Posteur néophyte
Posteur néophyte
 
Messages: 12
Enregistré le: 04 Jan 2015 à 00:07

Suivante

Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité

cron